欢迎来到Doc100.Net免费学习资源知识分享平台!
您的位置:首页 > 程序异常 >

~折腾了一周,吐糟一下子qt 的opengl版本~

更新时间: 2014-01-05 02:44:21 责任编辑: Author_N1

 

~~~~~~~折腾了一周,吐糟一下Qt 的OpenGL版本~~~~~~~~
   这个星期开始搭建Qt下的OpenGL环境,后来发现OpenGL在3.0后有很大的变动,
所有打算学3.0以后的版本.
   看了Qt自带的Demo,在网上找了点例子,版本真是....,一会儿2.0里面夹杂着3.0的函数,一会儿3.0里面调用已经弃用的函数。各位可以看看手头上的代码有木有这个函数glLoadIdentity。这个函数在3.0后就弃用了,我查看了最新的鬼火引擎果然里面都没有用这个函数了。
   我想学习Opengl不想用已经弃用函数(本人对代码有点洁癖),所以找了一些最新的书籍(OpenGL-Shading-Language-Cookbook,OpenGL-Development-Cookbook)这些书上都是讲的3.0以后的函数不带有弃用的API。但是基于GLEW的,如果我在Opengl下包含glew头文件,会跟opengl自带的一些头文件造成冲突。
   所以还是只能用opengl自己的函数和类来搭建环境
class CGraphPage : public QGLWidget,protected QOpenGLFunctions
我的类声明,结果
glGenVertexArrays,glBindVertexArray
这样的函数没有定义,查了一大堆资料结果发现5.1后才用类似的QOpenGLFunctions_3_0_Core关于版本的纯正类。
   昨晚回去我下载了Qt5.1今天早上特别兴奋的装上打算搞个Demo出来。结果又是一个悲剧,我的头文件
class CGraphPage : public QGLWidget,protected QOpenGLFunctions_3_0_Core


void CGraphPage::initializeGL()
{
  initializeOpenGLFunctions();
  glClearColor(0,0.5,1,1);
}

就崩溃,难道是不兼容,我试了一下只要调用gl函数就崩溃。

哎,这个烂东西搞得我对未来都失去信心了,各位经常用opengl的大神你们在版本上是怎么处理的,这个星期来什么都没搞成真实烦死了,今天就放假了,一点喜悦的心情都没有。

--参考方法--
看了你的几个提问,估计你的显卡由于比较老或者驱动没有安装导致无法解析OpenGL3.0+函数的地址。Windows的话下载360驱动大师给你安装一下驱动程序,Linux的话看看bumblebee驱动能不能帮助你。
上一篇:上一篇
下一篇:下一篇

 

随机推荐程序问答结果

 

 

如对文章有任何疑问请提交到问题反馈,或者您对内容不满意,请您反馈给我们DOC100.NET论坛发贴求解。
DOC100.NET资源网,机器学习分类整理更新日期::2014-01-05 02:44:21
如需转载,请注明文章出处和来源网址:http://www.doc100.net/bugs/t/13803/
本文WWW.DOC100.NET DOC100.NET版权所有。